tails-greeter (0.8.19) devel; urgency=medium

  [ Muri Nicanor ]
  * added a line that disables gksu and synaptic from applications menu if no password is set
  * added laptop-mode-tools to hidden apps when not root
  * simplify by removing the desktop files needing admin privileges

  [ anonym ]
  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Wed, 24 Feb 2016 18:32:30 +0100

tails-greeter (0.8.18) testing; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Mon, 25 Jan 2016 15:58:45 +0100

tails-greeter (0.8.17) devel; urgency=medium

  * Take into account that tails-unblock-network now lives in /usr/local/lib.
  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Mon, 11 Jan 2016 15:08:22 +0100

tails-greeter (0.8.16) devel; urgency=medium

  * Adapt Tails Greeter for Tails/Jessie:
    -  Add a gdm-tails session
    -  Adapt to GDBus greeter API
    -  Add a desktop file
    -  Release a testing jessie version
    -  Adjust gbp.conf to ease working on feature/jessie.
    -  Drop debian/source/options: it only contains options that are obsolete in Jessie.
    -  Install tails-greeter.desktop and gdm-tails.session in the upstream packaging bits, not in the Debian ones.
    -  Drop everything about gdm-simple-greeter.desktop, which is obsolete on Jessie.
    -  Don't force bzip2 usage when building binary packages: XZ is the default nowadays.
    -  Set X-GNOME-provides for .desktop.
    -  The autologin service has a new name.
    -  Fix GNOME session localisation
    -  Make sure /etc/sudoers.d/tails-greeter-no-password-lecture is owned by the root group.
    -  Add gnome-flashback to the list of required components for the GDM session.
    -  Don't display the Greeter in the Applications menu (Closes: #8267).
    -  Delete the Live user's password if no administration password is set (Closes: #5589).
    -  Use localectl to set the system locale.
    -  Use localectl to set the keyboard mapping for X11 and the console.
    -  Drop setting Uni1 for the console codeset.
    -  Adjust tails-restricted-network-detector startup to match changes in the main Tails Git repo.
    -  Do not reload CUPS configuration in PostLogin.default.
    -  Start tails-restricted-network-detector.service a bit earlier.
    -  Start tails-unblock-network via its systemd service.
    -  Start tails-restricted-network-detector.service in a non-blocking way.
    -  Move pre-network-unblock steps to tails-unblock-network.service.
    -  PostLogin: log into the Journal instead of a dedicated log file.
    -  Rename log_error() into log().
    -  Add a bunch of debugging log statements.
    -  Only source /var/lib/gdm3/tails.password if it exists.
    -  Import udev trigger + settle from tails-unblock-network.service, and start it in a blocking way.
    -  Move udevadm mangling back to a tails-unblock-network script.
    -  Add some logging to ease debugging.
    -  Add a "Recommends: locales-all".
    -  Move/resize the language panel whenever the screen size changes, and when monitors are added/removed.
    -  Don't assume that the language panel window is on Gdk.Screen. Instead, explicitly use gtk_window_get_screen().
    -  Mark all Glade files as requiring GTK+ 3.12. Jessie ships with 3.14, and we won't be testing with anything older.
    -  OptionsWindow: extract geometry setting code from the constructor into a dedicated method.
    -  OptionsWindow.set_geometry: get a screen as argument.
    -  OptionsWindow: resize/move when screen size or monitors setup changes.
    -  LangPanel.set_panel_geometry(): receive a GdkScreen as argument.
    -  OptionsWindow: move cb_doc_handler declaration back to be between the constructor and the first non-constructor method.
    -  OptionsWindow: always center the dialog ourselves.
    -  LangPanel: also issue set_size_request() upon screen size and monitors configuration changes.
    -  debian/control: add Vcs-* control fields.
    -  debian/control: declare compliance with Standards-Version 3.9.6 (no change required).
    -  Hide greeter windows before logging in
    -  Don't indent with tabs.
    -  Use existing dynamically updated list of windows, instead of hard-coding a copy of it.
    -  Display hourglass cursor during login, as long as the Greeter is up.
    -  Revert "Display hourglass cursor during login, as long as the Greeter is up."
    -  Start tails-unblock-network in the background.
    -  Remove the Windows camouflage option.
  * Update POT and PO files.
  * Readjusting gbp.conf now that feature/jessie has been merged.

 -- anonym <anonym@riseup.net>  Wed, 16 Dec 2015 18:17:08 +0100

tails-greeter (0.8.15) stable; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Mon, 14 Dec 2015 17:12:26 +0100

tails-greeter (0.8.14+jessie4+nocamouflage+10658) feature-10658-clean-up-path; urgency=medium

  * Take into account that tails-unblock-network now lives in /usr/local/lib.
    (refs: #10658)

 -- intrigeri <intrigeri@boum.org>  Mon, 30 Nov 2015 14:39:48 +0000

tails-greeter (0.8.14+jessie4+nocamouflage) feature-jessie; urgency=medium

  * Remove the Windows camouflage option.

 -- intrigeri <intrigeri@boum.org>  Thu, 19 Nov 2015 11:11:47 +0000

tails-greeter (0.8.14+jessie4) feature-jessie; urgency=medium

  * Start tails-unblock-network in the background.

 -- intrigeri <intrigeri@boum.org>  Wed, 18 Nov 2015 09:48:01 +0000

tails-greeter (0.8.14+jessie3) feature-jessie; urgency=medium

  * Revert "Display hourglass cursor during login, as long
    as the Greeter is up". It has a problematic side effect
    that I could not easily cancel.

 -- intrigeri <intrigeri@boum.org>  Wed, 18 Nov 2015 08:07:43 +0000

tails-greeter (0.8.14+jessie2) feature-jessie; urgency=medium

  * Hide greeter windows before logging in
  * Don't indent with tabs.
  * Display hourglass cursor during login, as long as the Greeter is up.

 -- intrigeri <intrigeri@boum.org>  Wed, 18 Nov 2015 07:29:29 +0000

tails-greeter (0.8.14+jessie1) feature-jessie; urgency=medium

  * Merge from master (Wheezy) branch.

 -- anonym <anonym@riseup.net>  Mon, 09 Nov 2015 15:27:02 +0100

tails-greeter (0.8.14) testing; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Tue, 03 Nov 2015 00:33:42 +0100

tails-greeter (0.8.13) devel; urgency=medium

  * Add option for completely disabling networking.
  * Bump the "nice" options window height.
  * Changing the "login" french translation
  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Mon, 26 Oct 2015 17:51:56 +0100

tails-greeter (0.8.12) stable; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Sun, 20 Sep 2015 18:36:16 +0200

tails-greeter (0.8.11+jessie3) feature-jessie; urgency=medium

  * LangPanel: also issue set_size_request() upon screen size and monitors
    configuration changes. This makes the panel grow to fit the screen when
    it gets wider; the widgets inside are re-positioned accordingly.
    We still don't behave nicely when the screen gets narrower, though.
  * debian/control:
    - Add Vcs-* control fields.
    - Declare compliance with Standards-Version 3.9.6 (no change required).

 -- intrigeri <intrigeri@boum.org>  Sun, 30 Aug 2015 10:51:50 +0200

tails-greeter (0.8.11+jessie2) feature-jessie; urgency=medium

  * Make the language panel and the options window (a bit more) responsive
    to screen size changes.
  * Mark all Glade files as requiring GTK+ 3.12. Jessie ships with 3.14,
    and we won't be testing with anything older.

 -- intrigeri <intrigeri@boum.org>  Sat, 29 Aug 2015 22:47:16 +0200

tails-greeter (0.8.11+jessie1) feature-jessie; urgency=medium
  
  * Merge from master (Wheezy) branch.

 -- intrigeri <intrigeri@boum.org>  Sat, 29 Aug 2015 18:47:33 +0200

tails-greeter (0.8.11) devel; urgency=medium

  * Update POT, and import PO files from Transifex.
  * Remove buggy be.po, ru.po and tr.po.

 -- intrigeri <intrigeri@boum.org>  Wed, 05 Aug 2015 18:47:33 +0200

tails-greeter (0.8.10) testing; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Sat, 02 May 2015 21:22:43 +0200

tails-greeter (0.8.9) stable; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Mon, 30 Mar 2015 14:57:21 +0200

tails-greeter (0.8.8+jessie6) feature-jessie; urgency=medium

  * Move udevadm mangling back to a tails-unblock-network script.
  * Add some logging to ease debugging.

 -- Tails developers <tails@boum.org>  Mon, 30 Mar 2015 13:06:54 +0200

tails-greeter (0.8.8+jessie5) feature-jessie; urgency=medium

  * Import udev trigger + settle from tails-unblock-network.service,
    and start it in a blocking way.

 -- Tails developers <tails@boum.org>  Mon, 30 Mar 2015 10:12:33 +0200

tails-greeter (0.8.8+jessie4) feature-jessie; urgency=medium

  * Do not reload CUPS configuration in PostLogin.default.
  * Start tails-restricted-network-detector.service a bit earlier.
  * Start tails-unblock-network via its systemd service.
  * Start tails-restricted-network-detector.service in a non-blocking way.
  * Move pre-network-unblock steps to tails-unblock-network.service.
  * PostLogin: log into the Journal instead of a dedicated log file.
  * Rename log_error() into log().
  * Add a bunch of debugging log statements.
  * Only source /var/lib/gdm3/tails.password if it exists.

 -- Tails developers <tails@boum.org>  Sun, 29 Mar 2015 19:08:57 +0200

tails-greeter (0.8.8+jessie3) feature-jessie; urgency=medium

  * Adjust tails-restricted-network-detector startup to match
    changes in the main Tails Git repo.

 -- Tails developers <tails@boum.org>  Sat, 07 Mar 2015 22:20:15 +0100

tails-greeter (0.8.8+jessie2) feature-jessie; urgency=medium

  * Use localectl to set the system locale and keyboard mapping,
    both for X11 and the console.
  * Drop setting Uni1 for the console codeset: we're now doing it
    at ISO build time.

 -- Tails developers <tails@boum.org>  Sat, 07 Mar 2015 19:21:03 +0100

tails-greeter (0.8.8+jessie1) feature-jessie; urgency=medium

  * Rebuild for Debian Jessie.

 -- intrigeri <intrigeri@debian.org>  Thu, 26 Feb 2015 10:32:48 +0100

tails-greeter (0.8.8) testing; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Wed, 11 Feb 2015 19:31:38 +0100

tails-greeter (0.8.7+jessie1) feature-jessie; urgency=medium

  * Rebuild for Debian Jessie.

 -- intrigeri <intrigeri@debian.org>  Thu, 15 Jan 2015 04:47:59 +0100

tails-greeter (0.8.7) stable; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Wed, 14 Jan 2015 15:05:57 +0100

tails-greeter (0.8.6+jessie1) feature-jessie; urgency=medium

  * Rebuild for Debian Jessie.

 -- Tails developers <tails@boum.org>  Fri, 05 Dec 2014 12:35:56 +0100

tails-greeter (0.8.6) stable; urgency=low

  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Tue, 02 Dec 2014 10:01:35 +0100

tails-greeter (0.8.5+jessie3) feature-jessie; urgency=low

  * Delete the Live user's password if no administration password is set (Closes: #5589).

 -- Tails developers <tails@boum.org>  Wed, 26 Nov 2014 14:21:42 +0100

tails-greeter (0.8.5+jessie2) feature-jessie; urgency=medium

  * Don't display the Greeter in the Applications menu (Closes: #8267).

 -- Tails developers <tails@boum.org>  Mon, 17 Nov 2014 12:36:42 +0100

tails-greeter (0.8.5+jessie1) feature-jessie; urgency=medium

  * Rebuild for Debian Jessie.

 -- Tails developers <tails@boum.org>  Thu, 16 Oct 2014 16:52:29 +0200

tails-greeter (0.8.5) testing; urgency=medium

  * The path where TBB langpacks are stored has changed.
  * The Browser locale selection code has moved into Tails.
  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Wed, 15 Oct 2014 16:11:20 +0200

tails-greeter (0.8.4) testing; urgency=medium

  * Apply language settings to the Tor Browser and Launcher.
  * Import translations from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Wed, 08 Oct 2014 21:11:45 +0200

tails-greeter (0.8.3+jessie4) feature-jessie; urgency=medium

  * Add gnome-flashback to the list of required components for the GDM session.

 -- Tails developers <tails@boum.org>  Thu, 02 Oct 2014 16:21:12 +0200

tails-greeter (0.8.3+jessie3) feature-jessie; urgency=medium

  * Fix GNOME session localisation
  * Make sure /etc/sudoers.d/tails-greeter-no-password-lecture
    is owned by the root group.

 -- Tails developers <tails@boum.org>  Mon, 15 Sep 2014 10:35:52 -0700

tails-greeter (0.8.3+jessie2) feature-jessie; urgency=medium

  * The autologin service has a new name.

 -- Tails developers <tails@boum.org>  Mon, 08 Sep 2014 14:10:51 +0200

tails-greeter (0.8.3+jessie1) feature-jessie; urgency=medium

  * Set X-GNOME-provides for .desktop.

 -- Tails developers <tails@boum.org>  Fri, 5 Sep 2014 18:07:55 +0200

tails-greeter (0.8.3) stable; urgency=medium

  * Import translations from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Sun, 31 Aug 2014 10:37:43 +0200

tails-greeter (0.8.2+jessie2) feature-jessie; urgency=medium

  * Drop debian/source/options: it only contains options that are obsolete
    in Jessie.
  * Install tails-greeter.desktop and gdm-tails.session in the upstream
    packaging bits, not in the Debian ones.
  * Drop everything about gdm-simple-greeter.desktop, which is obsolete
    on Jessie.
  * Don't force bzip2 usage when building binary packages:
    XZ is the default nowadays.

 -- Tails developers <tails@boum.org>  Mon, 28 Jul 2014 12:07:55 +0200

tails-greeter (0.8.2+jessie1) feature-jessie; urgency=medium

  * Port to GDBus greeter interface
  * Add a gdm-tails session
  * Add a desktop file
  * Adjust gbp.conf to ease working on feature/jessie.

 -- Tails developers <tails@boum.org>  Mon, 28 Jul 2014 00:39:35 +0200

tails-greeter (0.8.2) testing; urgency=medium

  * Update POT and PO files.
  * Fix quick search in Other window (Closes: #5387)
  * adapt translation to Windows 8 camouflage
  * Import translations from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Sun, 20 Jul 2014 20:34:59 +0200

tails-greeter (0.8.1) testing; urgency=medium

  * Import translations from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Tue, 01 Jul 2014 22:08:20 +0200

tails-greeter (0.8) bugfix-7344-double-click-in-tails-greeter; urgency=medium

  * Do not pass media=removable to live-persist: we've been applying this
    change as
    config/chroot_local-patches/GdmGreeter_remove_media=removable.patch
    for many months now. Let's instead apply it directly in the Greeter.
  * Fix behavior when double-clicking on an entry in the language or keyboard
    layout lists (Closes: #7344).
  * Update POT and PO files.

 -- Tails developers <tails@boum.org>  Wed, 11 Jun 2014 16:21:03 +0200

tails-greeter (0.7.33) devel; urgency=medium

  * Update setup for windows 8 camouflage
  * Import translations from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Wed, 28 May 2014 22:35:35 +0200

tails-greeter (0.7.32) devel; urgency=medium

  * Don't set Xkb options. (Closes #7250)
  * Simply set chosen keyboard layout with no 'us' switch.
  * Import translations from Transifex.
  * Update POT and PO files.

 -- Tails developers <tails@boum.org>  Mon, 26 May 2014 15:10:13 +0200

tails-greeter (0.7.31) devel; urgency=medium

  [ Tails developers ]
  * Fix persistent printers
  * Revert "Adapt gbp.conf to ease working on the wheezy branch."
  * Save keyboard settings at PostLogin time, so that tails-configure-keyboard can set it in the GNOME session.
  * Import translations from Transifex.

  [ kurono ]
  * Feature #7009: Make the Greeter's help window resolution-aware

 -- Tails developers <tails@boum.org>  Wed, 14 May 2014 13:14:41 +0200

tails-greeter (0.7.30+wheezy1) devel; urgency=medium

  * Rebuild for Debian Wheezy.

 -- Tails developers <tails@boum.org>  Thu, 01 May 2014 11:43:38 +0200

tails-greeter (0.7.30) stable; urgency=medium

  * Update POT and PO files.

 -- Tails developers <tails@boum.org>  Sun, 27 Apr 2014 16:21:01 +0200

tails-greeter (0.7.29+wheezy2) devel; urgency=medium

  * Drop layout = 'us,$layout' and comma in variant hacks:
    it's not working right, let's try to simply set the layout and variant
    we actually want.

 -- Tails developers <tails@boum.org>  Thu, 17 Apr 2014 22:46:49 +0200

tails-greeter (0.7.29+wheezy1) devel; urgency=medium

  * Initialize variable in all cases.
  * List US layout first in /etc/default/keyboard: with Wheezy's GNOME,
    apparently we need to get this hack back.
  * Rebuild for Debian Wheezy.

 -- Tails developers <tails@boum.org>  Thu, 17 Apr 2014 19:16:13 +0200

tails-greeter (0.7.29) stable; urgency=medium

  * Update POT and PO files.

 -- Tails developers <tails@boum.org>  Wed, 16 Apr 2014 16:17:34 +0200

tails-greeter (0.7.28+wheezy3) devel; urgency=medium

  * Don't separate non-existing variant values with a comma.
    (Closes: #7065)

 -- Tails developers <tails@boum.org>  Wed, 16 Apr 2014 20:57:58 +0200

tails-greeter (0.7.28+wheezy2) feature-wheezy; urgency=medium

  * Bump the options window "nice height" for Wheezy.
  * Constant has moved in Wheezy's PyGTK.
  * Be more intelligent when to *not* un-center the options window.

 -- Tails developers <amnesia@boum.org>  Sat, 22 Mar 2014 12:15:06 +0100

tails-greeter (0.7.28+wheezy1) feature-wheezy; urgency=medium

  * Save optionswindow.glade with glade3.
  * Rebuild for Debian Wheezy.

 -- Tails developers <tails@boum.org>  Wed, 19 Mar 2014 21:25:42 +0100

tails-greeter (0.7.28) testing; urgency=medium

  * tails 0.23 translation
  * Add a GtkScrollableWindow around the options.
  * Update POT and PO files.
  * Remove spurious whitespace that aligns text in a very weird way.
  * Remove spurious packaging section.
  * Remove inner border in options window.
  * Point to localized doc.
  * Update POT and PO files.
  * Unfuzzy translation.
  * Import PO files from Transifex, update POT and PO files.
  * Fix translated "Documentation" links.

 -- Tails developers <amnesia@boum.org>  Mon, 17 Mar 2014 14:37:59 +0100

tails-greeter (0.7.27+wheezy3) feature-wheezy; urgency=medium

  * Fix one more misspelled WebKit occurrence.
  * Update key code accessors for GTK3.

 -- Tails developers <tails@boum.org>  Tue, 11 Mar 2014 16:24:11 +0100

tails-greeter (0.7.27+wheezy2) feature-wheezy; urgency=medium

  * Fix WebKit name in import.

 -- Tails developers <tails@boum.org>  Tue, 11 Mar 2014 16:15:00 +0100

tails-greeter (0.7.27+wheezy1) feature-wheezy; urgency=medium

  * Rebuild for Debian Wheezy.
  * Convert optionswindow to glade/gtk3.

 -- Tails developers <tails@boum.org>  Tue, 11 Mar 2014 15:10:56 +0100

tails-greeter (0.7.27) devel; urgency=medium

  * Decapitalise option header.
  * Update POT and PO files.

 -- Tails developers <amnesia@boum.org>  Thu, 06 Mar 2014 17:18:15 +0100

tails-greeter (0.7.26) devel; urgency=medium

  * Rename "Help" link to "Documentation".
  * Add GUI control for (Tor) network configuration,
    and set DisableNetwork for "obstacled" network.
  * Also log error status.
  * Update links to user documentation.
  * Update POT and PO files.

 -- Tails developers <tails@boum.org>  Thu, 06 Mar 2014 16:53:05 +0100

tails-greeter (0.7.25+wheezy5) feature-wheezy; urgency=medium

  * Import Gtk with gi.
  * Import Webkit with gi
  * Depend on gir1.2-webkit-3.0.

 -- Tails developers <tails@boum.org>  Sun, 02 Mar 2014 09:55:21 +0100

tails-greeter (0.7.25+wheezy4) feature-wheezy; urgency=medium

  * Migrate helpwindow.glade to GTK3.
  * Fix imports.

 -- Tails developers <tails@boum.org>  Wed, 26 Feb 2014 15:31:03 +0100

tails-greeter (0.7.25+wheezy3) feature-wheezy; urgency=medium

  * Complete the merge for real, hopefully, this time.

 -- Tails developers <tails@boum.org>  Wed, 26 Feb 2014 11:18:45 +0100

tails-greeter (0.7.25+wheezy2) feature-wheezy; urgency=medium

  * Complete the last merge from master.

 -- Tails developers <tails@boum.org>  Wed, 26 Feb 2014 11:15:36 +0100

tails-greeter (0.7.25+wheezy1) feature-wheezy; urgency=medium

  * Rebuild for Debian Wheezy.

 -- Tails developers <tails@boum.org>  Sat, 22 Feb 2014 10:56:49 +0100

tails-greeter (0.7.25) devel; urgency=medium

  * Don't give "amnesia" the right to run "setupcon" as root anymore.
  * Support MAC spoofing.
  * Add help links to options.
  * Hide password mismatch warning when entry is changed.

 -- Tails developers <tails@boum.org>  Fri, 21 Feb 2014 05:25:29 +0100

tails-greeter (0.7.24+wheezy1) feature-wheezy; urgency=medium

  * Rebuild for Debian Wheezy.

 -- Tails developers <tails@boum.org>  Fri, 10 Jan 2014 13:48:07 +0100

tails-greeter (0.7.24) stable; urgency=medium

  * Import translations from Transifex
  * Update POT and PO files.

 -- Tails developers <tails@boum.org>  Wed, 29 Jan 2014 14:26:49 +0100

tails-greeter (0.7.23+wheezy1~1.gbpb2f6eb) feature-wheezy; urgency=medium

  ** SNAPSHOT build @b2f6eb8c761760bc0b3454dfcb7fd7f4da4e4181 **

  * Rebuild for Debian Wheezy.

 -- Tails developers <tails@boum.org>  Fri, 10 Jan 2014 13:48:07 +0100

tails-greeter (0.7.23) stable; urgency=medium

  * Import translations from Transifex.
  * Update authors and maintainers metadata to match current reality.
  * Update POT and PO files.

 -- Tails developers <tails@boum.org>  Fri, 10 Jan 2014 12:01:21 +0100

tails-greeter (0.7.22+wheezy1~2.gbpe39a1a) feature-wheezy; urgency=medium

  ** SNAPSHOT build @e39a1a71deeb459065e06710205eb88aaec18788 **

  * When the user enabled Windows Camouflage, trigger the run of the
    activation script in a way that works with Wheezy.

 -- Tails developers <tails@boum.org>  Mon, 23 Dec 2013 16:00:59 +0100

tails-greeter (0.7.22+wheezy1~1.gbpcbc4bb) feature-wheezy; urgency=medium

  ** SNAPSHOT build @cbc4bb7b921679499f7e6c02fe974434a744dd19 **

  * Rebuild for Debian Wheezy.
  * Adapt gbp.conf to ease working on the wheezy branch.

 -- Tails developers <tails@boum.org>  Sun, 22 Dec 2013 17:51:42 +0100

tails-greeter (0.7.22) devel; urgency=low

  [ WinterFairy ]
  * Syntax fixes and spelling.
  * Remove dead code.
  * Removed an unused parameter.
  * Fix norwegian keyboard layout.
  * Fix keyboard layout for Croatia.

  [ Other Tails developers ]
  * Import translations from Transifex.
  * Update POT and PO files.

 -- Tails developers <tails@boum.org>  Fri, 22 Nov 2013 19:04:28 +0100

tails-greeter (0.7.21+wheezy1~3.gbpa846cd) feature-wheezy; urgency=low

  ** SNAPSHOT build @a846cdeb0a2daa547c6cf2be7408a647ce827ec1 **

  * Rebuild for Debian Wheezy.
  * Take into account langcodes was renamed to _langcodes.
  * Take into account GdmGreeter was renamed to tailsgreeter.

 -- Tails developers <tails@boum.org>  Mon, 04 Nov 2013 15:10:00 +0100

tails-greeter (0.7.21) experimental; urgency=low

  [WinterFairy]
  * Language and syntax fixes
  * Added new file "default_langcodes"
  * Install default_langcodes, and make use of it.
  * Sort the default_langcodes file, and really only list one country
    per language.
  * Remove old incorrect way of inferring default country.
  * Take country code into consideration when translating the window
    (Closes: Tails#5469).
  * Prefer keyboard layout for selected country.

 -- Tails developers <tails@boum.org>  Mon, 04 Nov 2013 12:58:39 +0100

tails-greeter (0.7.20) devel; urgency=low

  * Import translations from Transifex.

 -- Tails developers <tails@boum.org>  Sat, 26 Oct 2013 23:19:47 +0200

tails-greeter (0.7.19) devel; urgency=low

  * Set consistent path for persistent storage.
  * Reload CUPS configuration after persistence activation.
  * Make /var/lib/live/config/tails.persistence world-readable (Closes: #6374).

 -- Tails developers <tails@boum.org>  Tue, 22 Oct 2013 12:09:29 +0200

tails-greeter (0.7.18+wheezy1~1.gbp12f57a) feature-wheezy; urgency=low

  ** SNAPSHOT build @12f57a1c13a08780ffe38b217c4c840a732158a7 **

  * Convert from PyGTK 2 to PyGI GTK 3, update *.glade accordingly.
  * Migrate from the old D-Bus GDM interface to libgdmgreeter.
  * Set session language with AccountsService.
  * Enable GdmGreeter GObject introspection data.
  * Symlink libgdmgreeter.so.1 to a place where the system loader can find it.
  * Make indentation consistent.
  * Drop versioning on dependencies that are in Squeeze anyway.
  * Drop gir1.0-gtk-3.0 alternative dependency: it never made its way in Debian.
  * Drop gdm alternative dependency: we don't support Ubuntu.
  * Drop obsolete Uploader control field.
  * Fix typos.
  * Bump copyright years.
  * Update upstream source location.
  * Drop quite some dead code.
  * Rename GdmGreeter package to tailsgreeter to solve name clash.
  * Close greeter after login.
  * Write imports according to current best practices.
  * Grant Debian-gdm the right to manage user settings.
  * Forcibly use preferred encoding for chosen language.
  * Drop useless mutual dependency.
  * Update POTFILES.in.
  * Divert gdm-simple-greeter.desktop in preinst+postrm,
    not in postinst+prerm.
  * Guard the diversion removal in postrm with some context checks
    suggested by Debian Policy.
  * Wrap long lines.
  * Drop unused diversion-for-unknown-file Lintian override.
  * Move to debhelper compat level 9.
  * Write more complete long package description.
  * Drop empty line.
  * Bump X-Python-Version to >= 2.7.
  * Fix diversion handling by following Debian Policy examples more closely.
  * Compress source and binary packages with bzip2.
  * Add translatable window debugging info
  * languagesettings: add callback when language is selected
  * Translate windows when a new language is selected
  * Always start the greeter in english
  * Rename community-greeter.py to tails-greeter.py
  * Improve coding style
  * Set an UTF-8 encoded default locale
  * Clarify set_locale method
  * Fix call to connect_signal with wrong args number
  * Canonicalize layout names returned by XKL
  * Hopefully disconnect from DBus services before quitting
  * Protect langcodes global variable
  * Remove outdated comment

 -- Tails developers <tails@boum.org>  Sat, 19 Oct 2013 21:51:26 +0200

tails-greeter (0.7.18) devel; urgency=low

  * Write more complete package description.
  * Import updated and new translations from Transifex and translation teams.

 -- Tails developers <tails@boum.org>  Thu, 17 Oct 2013 13:28:51 +0200

tails-greeter (0.7.17) stable; urgency=low

  [ Andres Gomez Ramirez <andres.gomez@cern.ch> ]
  * Display a warning icon on greeter admin password mismatch
  * Display a warning icon on persistence unlocking failure
    (Closes: Tails#5332)

  [ intrigeri ]
  * New translations for Indonesian, Slovak, Chinese (Taiwan).
    Update translations for German and Polish.

 -- Tails developers <tails@boum.org>  Mon, 09 Sep 2013 10:34:51 +0200

tails-greeter (0.7.16) testing; urgency=low

  * Import translations from Transifex.

 -- Tails developers <tails@boum.org>  Wed, 07 Aug 2013 16:15:41 +0200

tails-greeter (0.7.15) devel; urgency=low

  * Update translations from Transifex.

 -- Tails developers <tails@boum.org>  Thu, 13 Jun 2013 16:15:42 +0200

tails-greeter (0.7.14) devel; urgency=low

  * Fix so translations is applied on password mismatch messages
  * Separate forward and login buttons and make them translatable
  * Update tails-greeter.pot to pick up "Forward"
    Many thanks to winterfairy@riseup.net for this patch and the two
    previous ones!
  * Update POT and PO files.
  * Update French translation.
  * Fix link to documentation when no sudo password is set.

 -- Tails developers <tails@boum.org>  Sun, 19 May 2013 19:38:11 +0200

tails-greeter (0.7.13) devel; urgency=low

  * Install persistent packages at login time.
  * Make indentation consistent.
  * Fail hard if needed program cannot be found.

 -- Tails developers <tails@boum.org>  Fri, 03 May 2013 15:20:17 +0200

tails-greeter (0.7.12) devel; urgency=low

  * New translation: Serbian.
  * Update translations for many languages.

 -- Tails developers <tails@boum.org>  Fri, 03 May 2013 14:58:25 +0200

tails-greeter (0.7.11) stable; urgency=low

  * New translation: Swedish.

 -- Tails developers <tails@boum.org>  Sat, 06 Apr 2013 14:17:55 +0200

tails-greeter (0.7.10) stable; urgency=low

  * Update translations: Farsi, Chinese, French.
  * New translations: Finnish, Norwegian Bokmål, Galician.

 -- Tails developers <tails@boum.org>  Wed, 03 Apr 2013 10:27:04 +0200

tails-greeter (0.7.9) testing; urgency=low

  * Updated Spanish and French translations from Transifex.
  * Import new Polish translation from Transifex.

 -- Tails developers <tails@boum.org>  Thu, 14 Feb 2013 17:32:10 +0100

tails-greeter (0.7.8) devel; urgency=low

  * Downgrade logging message to debug level.
  * Add German translation.
  * Update Portuguese (Brasil) translation.
  * Update Russian translation.

 -- Tails developers <tails@boum.org>  Thu, 10 Jan 2013 11:23:26 +0100

tails-greeter (0.7.7+wheezy2) unstable; urgency=low

  * Bump Python dependencies for Wheezy.

 -- Tails developers <tails@boum.org>  Mon, 07 Jan 2013 00:14:46 +0100

tails-greeter (0.7.7+wheezy1) unstable; urgency=low

  * Rebuild for Wheezy.

 -- Tails developers <tails@boum.org>  Sun, 06 Jan 2013 23:42:52 +0100

tails-greeter (0.7.7) devel; urgency=low

  * Import new translations (Hebrew and Latvian) from Transifex.
  * Update Russian translation from Transifex.
  * Add gbp debian-branch configuration.

 -- Tails developers <tails@boum.org>  Thu, 13 Dec 2012 09:58:45 +0100

tails-greeter (0.7.6) testing; urgency=low

  * Update Chinese translation.
  * Import Bulgarian translation.

 -- Tails developers <tails@boum.org>  Sun, 25 Nov 2012 12:10:56 +0100

tails-greeter (0.7.5) devel; urgency=low

  * Farsi language updates.
  * Arabic language updates.
  * Russian language updates.

 -- Tails developers <tails@boum.org>  Wed, 14 Nov 2012 15:46:23 +0100

tails-greeter (0.7.4) UNRELEASED; urgency=low

  * Document dependencies for translation work.
  * Hack dependencies
  * Import Arabic translation
  * [fr] Traduction de l'option Windows Camouflage
  * Add requirement: python-distutils-extra
  * Import Hebrew translation from Transifex.
  * Import Basque translation from Transifex.
  * Import Hungarian translation from Transifex.
  * Import Italian translation from Transifex.
  * Import Chinese translation from Transifex.
  * Import updated complete translations from Transifex.
  * Add Arabic translations.

 -- Tails developers <tails@boum.org>  Wed, 07 Nov 2012 12:34:56 +0000

tails-greeter (0.7.3) squeeze-backports; urgency=low

  * Import pt_BR translation.
  * Let langpanel usable during option selection stage
  * Print less debugging messages by default

 -- Tails developers <tails@boum.org>  Thu, 23 Aug 2012 20:10:44 +0200

tails-greeter (0.7.2) squeeze-backports; urgency=low

  * Use correct test operators.
  * Generate language codes of available locales at package build time.
  * Read list of language codes from where we have saved it
    at package build time.
  * Drop tails-lang-helper, not used anymore.
  * Do not compile locales at login time anymore.
    Tails now ships locales-all.

 -- Tails developers <tails@boum.org>  Fri, 13 Jul 2012 13:51:34 -0600

tails-greeter (0.7.1) squeeze-backports; urgency=low

  * Fix variable names in LocalisationSettings.__del__.
  * Apply setting changes immediately and not in a deleter.

 -- Tails developers <tails@boum.org>  Tue, 26 Jun 2012 07:00:00 +0000

tails-greeter (0.7) squeeze-backports; urgency=low

  * Merge feature/refactor_languages:
    - Move localization model code to language.py.
    - Support selecting a keyboard layout independantly from
      the chosen locale.
  * Add a checkbox for enabling Windows XP camouflage.

 -- Tails developers <tails@boum.org>  Mon, 11 Jun 2012 08:00:00 +0000

tails-greeter (0.6.3) squeeze-backports; urgency=low

  * PO, POT and translation updates.

 -- Tails developers <tails@boum.org>  Mon, 16 Apr 2012 17:41:47 +0200

tails-greeter (0.6.2) squeeze-backports; urgency=low

  * Briefly document modules.
  * Fix password label alignement.
  * Add a custom lecture when password is disabled.
  * Update scripts that source /etc/live/config.d/*
    to match the new filenames in there.
  * Fix typos.

 -- Tails developers <tails@boum.org>  Sun, 08 Apr 2012 19:27:35 +0200

tails-greeter (0.6.1) squeeze-backports; urgency=low

  * Fix discrepancies between checked images "sensitive" state.
  * Restart NetworkManager at PostLogin time.

 -- Tails developers <tails@boum.org>  Thu, 22 Mar 2012 15:07:09 +0100

tails-greeter (0.6) squeeze-backports; urgency=low

  * Clearer pairs of toggle buttons.
  * Fix the "no layout for certain languages" bug:
    add a function to convert from ISO-639-2/T to 639-2/B,
    and try passing 639-2/B language code to xklavier if 639-2/T fails.
  * UI display fix: slightly wider window by default.

 -- Tails developers <tails@boum.org>  Wed, 21 Mar 2012 19:21:44 +0100

tails-greeter (0.5) squeeze-backports; urgency=low

  * Unmerge feature/refactor_languages branch. It introduces a cricital,
    and hard to track, bug.
  * grep_n_set: logics bugfix, robustness improvements.
  * Don't localize search engine at PostLogin time.
    This is now done at build time, thanks to FF11.
  * Reword help text.

 -- Tails developers <tails@boum.org>  Tue, 20 Mar 2012 19:20:32 +0100

tails-greeter (0.4) squeeze-backports; urgency=low

  * Language and keyboad layout code: big refactoring, cleanup and
    robustness improvements.
  * Select first available locale/layout if no better choice
  * Update debian/copyright to match current specs and practices.
  * Bump standards to 3.9.3, no change required.
  * Support choosing the keyboard layout independently from the language,
    thanks to an "Other..." layout dialog.
  * Make it clear one must wait while setting up persistence.
  * Gracefully deal with the persistence LUKS volume being already unlocked.

 -- Tails developers <tails@boum.org>  Mon, 19 Mar 2012 08:59:21 +0100

tails-greeter (0.3.1) squeeze-backports; urgency=low

  * Pass the read-only/read-write information to the user session.
  * Have live-persist log to /var/log/live-persist.
  * Update POT and PO files.
  * Import fr.po.

 -- Tails developers <tails@boum.org>  Fri, 16 Mar 2012 10:52:27 +0100

tails-greeter (0.3.0) squeeze-backports; urgency=low

  [ Tails developers ]
  * Reverse a copy of the variants list, not the original one.
  * Revamp main dialog UI.
  * Rename process_persistence to activate_persistence.
  * Fix various typos and bugs.
  * Add source code encoding information where needed.
  * Remove space at EOL.
  * Move sudoers.d snippets into a dedicated directory.
  * Grant the Debian-gdm user permissions to run live-persist as root.
  * Welcome users a bit more warmly.
  * Add unicode_to_utf8 util function.
  * Add LivePersistError exception.
  * Use live-persist to gather a list of plausible persistence containers.
  * Entirely hide persistence options if no container was found.
  * Unlock LUKS persistent volume and ask live-persist to setup persistence.
  * Don't log passphrases.
  * Grant Debian-gdm the right to run cryptsetup as root.
  * Actually install all sudoers snippets, and never ever forget one.
  * Make the passphrase entry activate the next/login button.
  * Persistence passphrase entry: don't use overwrite mode.
  * Hide/show the whole warning area.
  * Display "wrong persistence passphrase" bellow passphrase entry.
  * Add info image.
  * Ignore delete events on our GtkDialog's.
  * Support enabling persistence read-only.
  * Rename set-user-password-and-locale to PostLogin.default.
  * Clarify and complete script documentation.
  * At PostLogin time, copy persistence configuration where LIVE_USERNAME
    can read it.
  * Sort dependencies in lexical order.
  * Rename variables for clarity's sake.
  * Record persistence status after activating it.
  * Move focus to passphrase entry when persistence is toggled on.
  * Move focus to to password confirm when typing Enter in password field.
  * Treat KP_Enter the same way as Return key.
  * Indicate that work is being done by disabling the next/login button.

 -- intrigeri <intrigeri@debian.org>  Wed, 29 Feb 2012 17:54:36 +0100

tails-greeter (0.2.0) squeeze-backports; urgency=low

  [ Max S ]
  * Extend sudo-related documentation.
  * change layout order to default for non-US
  * fix internal variable set routine

  [ Tails developers ]
  * Have binary Lintian overrides installed by dh.
  * langpanel: new panel layout using GtkBox, convert to bottom panel.
  * Convert from gtkme to plain gtk
  * Actually use the selected keyboard layout.
  * Only display a few better-supported languages by default.
  * Some amount of code and documentation cleanup and refactoring.
  * Add dummy window to setup persistence.
  * Convert to Glade 3.8.1 for gtk2.
  * langdialog: exit when double-clicking or pressing Enter
  * Update POT file, French and Russian translations.
  * Don't attempt to add the Live user to the sudo group.
  * Depend on gconf2, that provides gconftool-2, instead of checking at runtime.
  * Localize iceweasel search engines at GDM PostLogin time.
  * Wrap admin password description text.
  * Stop running setupcon in .profile.
  * Set chosen LANG into /etc/default/locale.
  * Put chosen layout first in /etc/default/keyboard.
  * Make maintainer / uploader control fields match reality.
  * Tidy code.
  * Add debugging message.
  * Explain why translating keyboard layout names does not look trivial.

 -- Tails developers <tails@boum.org>  Sat, 25 Feb 2012 16:07:59 +0100

tails-greeter (0.1.0) squeeze-backports; urgency=low

  [ Tails developers ]
  * Ship /etc/sudoers.d directory

  [ Max S ]
  * Document and improve console localization.
  * polish documentation and profile update function
  * improve console setup
  * add variable replacement function
  * fix installation
  * add missing dependency

 -- Max S <govnototalitarizm@gmail.com>  Sun, 23 Oct 2011 16:02:15 +0800

tails-greeter (0.0.9) squeeze-backports; urgency=low

  * changelog update
  * autosetup localized console via profile
  * fix cosole setup routine
  * fix codeset during console-setup

 -- Max S <govnototalitarizm@gmail.com>  Sat, 22 Oct 2011 15:53:54 +0800

tails-greeter (0.0.9~1.gbp497cec) UNRELEASED; urgency=low

  ** SNAPSHOT build @497cec09a1b69a0a4714ad714af8fa4ae4f644f0 **

  [ Max S ]
  * rename config files
  * add script to reset password to default value on logout
  * add diversion for already installed postlogin script
  * use script autogeneration instead of diversion
  * password change workaround
  * fix login workaround

  [ Tails developers ]
  * Add instructions for translators in README.translators.

  [ Max S ]
  * cleanup unused glade files
  * improve l18n handling
  * Add setup-console procedure
  * fix typos
  * add (draft) sed code for console kb setup

 -- Max S <govnototalitarizm@gmail.com>  Sat, 22 Oct 2011 12:39:12 +0800

tails-greeter (0.0.8) squeeze-backports; urgency=low

  * update debian/changelog
  * change label to reflect content

 -- Max S <govnototalitarizm@gmail.com>  Thu, 18 Aug 2011 18:28:07 +0700

tails-greeter (0.0.8~10.gbpb9971a) UNRELEASED; urgency=low

  ** SNAPSHOT build @b9971a23cc1debbf697b6098fe536429c8f85f38 **

  * fix merge error
  * add cbox handling functions
  * re-arrange panel widgets
  * re-arrange layout selection order
  * remove obsolete code
  * refactor layout code
  * misc layout fixes
  * update translation
  * disable root access if password is not set
  * fix path in helper script
  * fix and document iso639 conversion
  * handle search heuristics failure gracefully
  * autoselect layout, use combobox for variants
  * add internal variant processing
  * populate variants for layout
  * fix typo
  * add en_US to layout variant population
  * remove legacy check
  * use xklavier for layout indication
  * consider variant during layout application
  * adjust layout indicator for variants
  * fix layout variant application for greeter
  * add missing bracket
  * use variant for session layout
  * add layout enforcement
  * adjust layout autoswitch logic
  * change default password
  * update Russian translation
  * update French translation
  * update translation from .pot

  [ Tails developers ]
  * Spelling fixes.

  [ Max S ]
  * remove : and brackets from ui
  * improve appearance and phrasing
  * add heuristics for locale choice
  * misc adjustments
  * update debian/changelog
  * add sudo\polkit fixes
  * remove ui hint about alt+shift switching
  * set proper permission on sudoers file
  * shrink text entry
  * remove hardcoded username
  * show country name for locale
  * update translations and instructions
  * add .gitignore
  * fix file permissions
  * add quoting for user's input
  * namespace adjustment
  * add double-check for locale selection
  * add trivial error reporting
  * hide actual values of locale and layout from UI
  * unicode and typo fixes
  * admit bashism usage

 -- Max S <govnototalitarizm@gmail.com>  Thu, 18 Aug 2011 18:11:14 +0700

tails-greeter (0.0.7) squeeze-backports; urgency=low

  * update debian/changelog
  * refactor layout code
  * add 2->3 language code convertor
  * add more checks for layout availability
  * ignore variants in layout list

 -- Max S <govnototalitarizm@gmail.com>  Fri, 12 Aug 2011 20:06:50 +0800

tails-greeter (0.0.7~5.gbped2b66) UNRELEASED; urgency=low

  ** SNAPSHOT build @ed2b6682b48f73116e4962d66a61b1ac51b127db **

  * remove obsolete dependency
  * supply session data to files instead of subprocesses
  * fix password function
  * get back buton click handler
  * fix autologin button click handler
  * handle empty password gracefully
  * add backend to apply parameters to user's session
  * add missing dir entry
  * update PostLogin helper and changelog
  * add options to ensure non-interactivity
  * additional check for forced login
  * use double-entry for password to avoid typos
  * merge language and layout widgets into panel
  * add missing parameters
  * finish migration to panel
  * add SelectLayout stub
  * add foolproofing to layout selection
  * fix layout selection
  * separate layout selection for the session and for the greeter
  * misc cleanups
  * use en_US by default
  * add internal layout indicator
  * use another approach for layout tracking
  * internal layout indicator fix
  * load widgets simultaneously
  * expose internal layout indicator in UI
  * fix cross-widget layout indication

 -- Max S <govnototalitarizm@gmail.com>  Wed, 10 Aug 2011 22:04:42 +0800

tails-greeter (0.0.6) squeeze-backports; urgency=low

  * use combobox for layout selection for quicker prototyping
  * fix locale and layout selection
  * fix combobox enlargement issue
  * documentation improvement and cleanup
  * fix layout selection

 -- Max S <govnototalitarizm@gmail.com>  Fri, 05 Aug 2011 01:54:14 +0800

tails-greeter (0.0.6~1.gbp75be0e) UNRELEASED; urgency=low

  ** SNAPSHOT build @75be0ebd7eb42fe1ec6dccfc1216e5a52dedc7a4 **

  * add layout variant selection stub

 -- Max S <govnototalitarizm@gmail.com>  Sat, 30 Jul 2011 16:05:29 +0800

tails-greeter (0.0.5) squeeze-backports; urgency=low

  * add button for immediate login
  * restructure code to allow immediate login
  * implement forced login procedure
  * apply chosen language to session
  * refactor language support code
  * simplify window translation code
  * remove old language conversion code
  * store all locales for a given language
  * default to en_US for forced login
  * add post-login environment setup routine
  * add env. helper to setup
  * uppercase 1st letter of language name
  * add button for immediate login
  * restructure code to allow immediate login
  * implement forced login procedure
  * apply chosen language to session
  * refactor language support code
  * simplify window translation code
  * remove old language conversion code
  * store all locales for a given language
  * default to en_US for forced login
  * add post-login environment setup routine
  * add env. helper to setup
  * uppercase 1st letter of language name

 -- Max S <govnototalitarizm@gmail.com>  Fri, 29 Jul 2011 22:08:13 +0800

tails-greeter (0.0.5~2.gbp0ea683) UNRELEASED; urgency=low

  ** SNAPSHOT build @0ea68319abccc326957fde4741d7c4124ecf0dc3 **

  * add missing gtk window
  * load (dummy) layout widget
  * improve python code QA
  * update Russian translation
  * remove useless file

 -- Max S <govnototalitarizm@gmail.com>  Mon, 25 Jul 2011 02:29:15 +0800

tails-greeter (0.0.4) squeeze-backports; urgency=low

  [ Tails developers ]
  * Convert packaging to dh_python2.
  * Bump versionned build dependency on debhelper.
  * Enhance package short description a bit.

  [ Max S ]
  * hide password while typing
  * fix bug which prevented multiple widget translation
  * fix password visibility issue
  * add layout widget from ubiquity

 -- Max S <govnototalitarizm@gmail.com>  Wed, 20 Jul 2011 14:29:02 +0700

tails-greeter (0.0.4~1.gbpbfcf9f) UNRELEASED; urgency=low

  ** SNAPSHOT build @bfcf9fbd4fd7b470a6c43ccde4e1e36d699a790e **

  [ Tails developers ]
  * Add missing newline.
  * Fix Lintian override file.
  * Install Lintian override file into the binary package.

  [ Max S ]
  * fix debian/changelog version to squeeze-backports

 -- Max S <govnototalitarizm@gmail.com>  Sat, 16 Jul 2011 16:55:19 +0700

tails-greeter (0.0.3) squeeze-backports; urgency=low

  * version bump

 -- Max S <govnototalitarizm@gmail.com>  Sat, 16 Jul 2011 16:44:23 +0700

tails-greeter (0.0.3~13.gbpc27086) UNRELEASED; urgency=low

  ** SNAPSHOT build @c27086904e9a212f2291d60a71f5f656d5553c07 **

  * use supported locales instead of configured
  * fix obsolete renaming
  * add explicit format description to the package
  * revert to old language collection until babel issue is sorted out
  * fix forgotten rename
  * fix binary lintian-override
  * apply lintian to binary instead of source
  * explain pylint and improve test description
  * merge lintian support from corresponding branch
  * install lintian override via setup
  * rollback previous merge
  * move override file to fix build
  * use PyICU to handle 'native' language names
  * store full locale name in dictionary
  * move locale-gen from widget to the greeter
  * add locale generation example
  * translate language selection widget too
  * fix widget translation
  * use non-default naming for gtk elements accessed from python
  * add FIXME to French translation
  * add dependency on unicode font to properly display language names
  * use collator for lang. list sorting
  * update changelog
  * handle enter keypress in autologin widget
  * fix enter handling
  * update changelog
  * add test delay to locale generator
  * add missing import

 -- Max S <govnototalitarizm@gmail.com>  Sat, 16 Jul 2011 16:31:30 +0700

tails-greeter (0.0.3~1.gbp916441) UNRELEASED; urgency=low

  ** SNAPSHOT build @9164416ec1f2f923f1df82f5bb8b601f194a35aa **

  * update changelog
  * add (dummy) locale generator
  * add trivial locale generation interface
  * code cleanup: remove obsolete code, fix most of pylint-reported errors
  * remove unused glade files
  * add locale-gen interaction logging
  * rename scripts to comply with debian policy
  * add lintian override
  * rename helper scripts

 -- Max S <govnototalitarizm@gmail.com>  Fri, 08 Jul 2011 02:17:20 +0700

tails-greeter (0.0.3~1.gbpe88c42) UNRELEASED; urgency=low

  ** SNAPSHOT build @e88c42bcb30a3c13f92fc2d53b6f368a87113ab6 **

  * add snapshot entry to changelog for test build
  * update translations to match widgets
  * fix window positioning
  * use 1st entry as default language
  * rollback change which caused loss of connectivity with xorg
  * add language helper
  * obtain language list from helper instead of hardcoding
  * remember translation properly
  * destroy language window instead of visibility change

 -- Max S <govnototalitarizm@gmail.com>  Thu, 07 Jul 2011 03:34:57 +0700

tails-greeter (0.0.3~1.gbpf34d00) UNRELEASED; urgency=low

  ** SNAPSHOT build @f34d00e8a6472bdae72dcc42f9c2b0c1cb8e936b **

  * unconditional setup of file diversion
  * add dummy lang. selection window
  * change visible widget order to sequential
  * fix syntax error
  * change window loading sequence
  * fix race condition
  * add dummy combo-box implementation
  * use gtkme wrapper for combo-box
  * blank lines cleanup
  * populate language list from hardcoded array
  * fix language population
  * add omitted populate() function to constructor

 -- Max S <govnototalitarizm@gmail.com>  Wed, 06 Jul 2011 02:26:23 +0700

tails-greeter (0.0.3~1.gbp97e581) UNRELEASED; urgency=low

  ** SNAPSHOT build @97e5819c19a9b1bc30a3fd4c8ea3943ed6638a78 **

  * commit before adding deb to tails repo

 -- Max S <govnototalitarizm@gmail.com>  Sat, 25 Jun 2011 01:10:10 +0200

tails-greeter (0.0.3~1.gbp7dfc79) UNRELEASED; urgency=low

  ** SNAPSHOT build @7dfc797983544491dfbee92f65a89d0a5324c05c **

  * remove bogus changelog entry
  * use default tails passwords

 -- Max S <govnototalitarizm@gmail.com>  Fri, 24 Jun 2011 22:12:47 +0200

tails-greeter (0.0.3~1.gbp12e0a1) UNRELEASED; urgency=low

  ** SNAPSHOT build @12e0a1ad6cddc0ca22cd3cc31c8b56824be081b9 **

  * add conf for proper tagging

 -- Max S <govnototalitarizm@gmail.com>  Fri, 24 Jun 2011 22:03:01 +0200

tails-greeter (0.0.3~1.gbp7c00b3) UNRELEASED; urgency=low

  ** SNAPSHOT build @7c00b3a9b283e38bc832e8c010cbf97b77e57504 **

  * test commit to check git-dch behavior

 -- Max S <govnototalitarizm@gmail.com>  Fri, 24 Jun 2011 21:46:52 +0200

tails-greeter (0.0.3~1.gbpd06294) UNRELEASED; urgency=low

  ** SNAPSHOT build @d0629433d5e36bccb4fd2c490039dd71bb5660e9 **

  [ Max S ]
  * add xsdvalidate
  * make tails-greeter self-contained (no non-standard python packages)
  * add missing package
  * ongoing downconversion
  * more dummy conversions
  * fix greeter start under gdm
  * fix keyboard handling
  * misc pylint cleanup
  * fix changelog
  * add pylint
  * small pre-build cleanup
  * add configurable logger
  * logging unification
  * adjust setup.py
  * logging cleanup
  * improve code QA
  * version bump to make lintian happy
  * add test helper
  * cleanup some of pylint-reported errors
  * fix language window loading
  * merge upstream changes
  * cleanup dead code
  * fix wrong spacing
  * fix indentation
  * add forgotten land spec to logging
  * improve error reporting
  * unify logging
  * tiny cleanup
  * begin autologin window implementation
  * code cleanup and dummy function for AutoLogin
  * fix indentation
  * prepare for autologin tests
  * fix signal naming to comply with gtkme
  * hide pylint errors about unexisting methods
  * fix user variable definition
  * unify logging outlook
  * fix login window properties
  * implement login window interface called by greeter
  * fix login-to-desktop
  * wait for user input before logon
  * disable saving of user's selected language
  * add dpkg-divert hooks
  * fix diversion removal
  * fix typo
  * clarify handling of credentials for testing
  * fix most of lintian errors

 -- Max S <govnototalitarizm@gmail.com>  Fri, 24 Jun 2011 21:39:10 +0200

tails-greeter (0.0.2) squeeze-backports; urgency=low

  * downconversion started: version bumped

 -- Max S <govnototalitarizm@gmail.com>  Thu, 16 Jun 2011 23:50:39 +0200

tails-greeter (0.0.1) squeeze-backports; urgency=low

  * Initial release. Forked from gdm-community-greeter.

 -- Max S <govnototalitarizm@gmail.com>  Wed, 08 Jun 2011 19:01:54 +0200
